# Class $RootScopeProvider

Provider responsible for instantiating the initial scope, aka - root scope. Every application has a single root ng.$rootScope.Scope scope. All other scopes are descendant scopes of the root scope. Scopes provide separation between the model and the view, via a mechanism for watching the model for changes. They also provide event emission/broadcast and subscription facility. See the guide/scope developer guide on scopes.

The provider also injects runtime services to make them available to all scopes.

- Defined in core/scope/scope.js:95

#####
Index

### Constructors

constructor

### Properties

$get

##
Constructors

### constructor

- new $RootScopeProvider(): $RootScopeProvider

- #### Returns $RootScopeProvider

  - Defined in core/scope/scope.js:96

##
Properties

### $get

$get: (string | ((exceptionHandler: ErrorHandler, parse: ParseService, browser: Browser) => Scope))[] = ...

- Defined in core/scope/scope.js:100